=== debian/changelog ===
dde-appearance (1.1.33) unstable; urgency=medium

  * chore: 解决注销或者重启后外观变成自动的问题 

 -- fuleyi <fuleyi@uniontech.com>  Mon, 12 Aug 2024 16:51:37 +0800

dde-appearance (1.1.32) unstable; urgency=medium

  * fix: incorrect generated fontconfig configuration
  * chore: 解决开机壁纸自动变更的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 Aug 2024 15:14:25 +0800

dde-appearance (1.1.31) unstable; urgency=medium

  * fix: notify kwin to reload the config when sync config(Issue: 10016)

 -- Zhang kun <zhangkun2@uniontech.com>  Tue, 06 Aug 2024 15:59:16 +0800

dde-appearance (1.1.30) unstable; urgency=medium

  * fix: Cursor images are not scaled to the same size(Issue: 9892)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Jul 2024 15:33:31 +0800

dde-appearance (1.1.29) unstable; urgency=medium

  * release 1.1.29

 -- zorowk <near.kingzero@gmail.com>  Mon, 03 jul 2024 10:03:57 +0800

dde-appearance (1.1.28) unstable; urgency=medium

  * release 1.1.28

 -- Mike Chen <chenke@deepin.org>  Mon, 20 May 2024 13:15:56 +0800

dde-appearance (1.1.27) unstable; urgency=medium

  * fix: it doesn't work immediately

 -- Wang Fei <wangfei@deepin.org>  Thu, 25 Apr 2024 13:32:54 +0800

dde-appearance (1.1.26) unstable; urgency=medium

  * fix: deepinwmfaker read error cursorSize

 -- rewine <luhongxu@deepin.org>  Thu, 07 Mar 2024 10:42:56 +0800

dde-appearance (1.1.25) unstable; urgency=medium

  * feat: add signal for deepin fakewm

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 25 Jan 2024 10:09:27 +0800

dde-appearance (1.1.24) unstable; urgency=medium

  * fix: emit themechange again when themetype changed(https://github.com/linuxdeepin/developer-center/issues/7047)

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 23 Jan 2024 16:40:49 +0800

dde-appearance (1.1.23) unstable; urgency=medium

  * fix: first start, init for too long time

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 17 Jan 2024 16:55:34 +0800

dde-appearance (1.1.22) unstable; urgency=medium

  *  fix: globaltheme will set to before one

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 16 Jan 2024 17:34:39 +0800

dde-appearance (1.1.21) unstable; urgency=medium

  * fix: should init before regist the dbus service

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 15 Jan 2024 14:44:56 +0800

dde-appearance (1.1.20) unstable; urgency=medium

  * chore: use qt tools to generate adaptor
  * chore: tidy up the workflow, fix the issue that wallpaper be set wrong

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 08 Jan 2024 10:10:08 +0800

dde-appearance (1.1.9) unstable; urgency=medium

  feat: add window keybindings

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 25 Dec 2023 10:47:48 +0800

dde-appearance (1.1.8) unstable; urgency=medium

  * fix: fakewm block with kwin when be invoked
  * chore: fix a typo in fakewm/main.cpp

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 12 Dec 2023 13:16:25 +0800

dde-appearance (1.1.7) unstable; urgency=medium

  * chore: auto set theme feature is missing
  * fix: remove unused dtkwidget devel builddep from debian/control
  * chore: split deepinwmfaker

 -- dengbo <dengbo@deepin.org>  Fri, 24 Nov 2023 13:58:50 +0800

dde-appearance (1.1.6) unstable; urgency=medium

  * chore: bring back first notification
  * chore: commit gtk cursor module
  * chore: update translations

 -- dengbo <dengbo@deepin.org>  Wed, 06 Sep 2023 15:19:15 +0800

dde-appearance (1.1.5) unstable; urgency=medium

  * adjust the registing orders of services, put wm service front
  * fix: systemd start after dde-session
  * chore: remove useless log
  * fix persionlization cannot get dart front png
  * use full path to set background picture

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 14 Aug 2023 13:14:20 +0800

dde-appearance (1.1.4) unstable; urgency=medium

  * fix: get workSapce count when set wallpapers

 -- dengbo <dengbo@deepin.org>  Wed, 12 Jul 2023 16:13:20 +0800

dde-appearance (1.1.3) unstable; urgency=medium

  * fix: wrong GlobalTheme value after auto switching dark mode
  * fix: wayland can't set wallpaper
  * fix: fix: background should refresh after set background

 -- dengbo <dengbo@deepin.org>  Wed, 05 Jul 2023 11:08:40 +0800

dde-appearance (1.1.2) unstable; urgency=medium

  * check the dbus register
  * move custom theme config from .cache to .config

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 12 Jun 2023 13:19:58 +0800

dde-appearance (1.1.1) unstable; urgency=medium

  * add Conflicts: dde-kwin.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 16 May 2023 11:19:58 +0800

dde-appearance (1.1.0) unstable; urgency=medium

  * fix: 控制中心不显示窗管相关快捷键
  * chore: remove deepin- prefix
  * fix: alpha 升级到beta 设置壁纸白屏

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 17:38:50 +0800

dde-appearance (1.0.9) unstable; urgency=medium

  * fix: wrong systemd type
  * fix: 切换主题外观桌面壁纸被替换
  * fix: error form font to json
  * fix: folder not be created and font not setted

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:21:50 +0800

dde-appearance (1.0.8) unstable; urgency=medium

  * fix: 桌面无法设置壁纸

 -- dengbo <dengbo@uniontech.com>  Sun, 23 Apr 2023 17:53:20 +0800

dde-appearance (1.0.7) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: merge deepin-wm-dbus

 -- dengbo <dengbo@uniontech.com>  Mon, 3 Apr 2023 14:38:15 +0800

dde-appearance (1.0.6) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * release dde-appearance 1.0.6

 -- dengbo <dengbo@uniontech.com>  Fri, 31 Mar 2023 11:26:15 +0800

dde-appearance (1.0.5) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: wrong format of fontconfig file
  * fix: 控制中心设置主题壁纸没有跟随改变
  * fix: reset ApplicationName as org.deepin.dde.appearance
  * fix: 调用DBus接口恢复个性化设置失效

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 14:28:42 +0800

dde-appearance (1.0.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 新建工作区时随机给一个壁纸(Bug: 181837)(Influence: 新建工作区-壁纸变化)
  * fix: 修改主题缩略图模糊问题(Bug: 182545)(Influence: 屏幕缩放不为1时，控制中心-个性化-图标主题-缩略图)

