=== debian/changelog ===
dde-appearance (1.1.36) unstable; urgency=medium

  * Release 1.1.36
  * feat: Compact mode does not affect the font setting range

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 25 Oct 2024 18:18:04 +0800

dde-appearance (1.1.35) unstable; urgency=medium

  * feat: 添加紧凑模式属性

 -- Zhang Kun <zhangkun2@uniontech.com>  Wed, 25 Sep 2024 16:11:58 +0800

dde-appearance (1.1.34) unstable; urgency=medium

  * chore: 解决快捷键无法恢复的问题
  * Revert "chore: 解决快捷键无法恢复的问题"

 -- fuleyi <fuleyi@uniontech.com>  Thu, 22 Aug 2024 11:08:54 +0800
