=== debian/control ===
Source: dde-appearance
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
   cmake,
   pkg-config,
   qtbase5-dev,
   libdtkcore-dev,
   libdtkgui-dev,
   libpolkit-qt5-1-dev,
   libgdk-pixbuf2.0-0,
   libgsettings-qt-dev,
   libglib2.0-dev,
   libxcursor-dev,
   libgtk-3-dev,
   libxcb1-dev,
   libxcb-cursor-dev,
   libxcb-randr0-dev,
   libxcb-render0-dev,
   qttools5-dev-tools,
   libssl-dev,
   libkf5globalaccel-dev,
   libkf5windowsystem-dev,
   libkf5config-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-appearance
Architecture: any
Depends:
   ${misc:Depends},
   ${shlibs:Depends},
Conflicts: dde-kwin
Description: deepin desktop-environment - dde-appearance module
 dde appearance Provides application resource management and control services for the dde desktop environment.
