=== debian/changelog ===
dde-appearance (1.1.38) unstable; urgency=medium

  * fix: active color are invalid in different global theme
  * fix: Quickly adjusting transparency may cause it to get stuck (#163)

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 14:05:44 +0800
