## dde-appearance 1.1.61

=== debian/changelog ===
dde-appearance (1.1.61) unstable; urgency=medium

  * feat: Starting no longer initializes' Wallpaper-Uris' and
    'Wallpaper_Slideshow'
  * feat: Decoupling themes and wallpapers
  * fix: 解决缩放设置失效的问题

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 13:45:49 +0800

dde-appearance (1.1.60) unstable; urgency=medium

  * fix: mark dde-fakewm requires plasma-kglobalaccel

 -- rewine <luhongxu@deepin.org>  Thu, 17 Apr 2025 11:01:26 +0800

dde-appearance (1.1.59) unstable; urgency=medium

  * feat: The configuration of GlobalThemeOverride uses JSON format

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 11 Apr 2025 11:31:54 +0800

dde-appearance (1.1.58) unstable; urgency=medium

  * fix: rename deepin-kwin to kwin (need deepin-kwin >= 6.0.0)

 -- rewine <luhongxu@deepin.org>  Wed, 09 Apr 2025 10:29:26 +0800

dde-appearance (1.1.57) unstable; urgency=medium

  * remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:20:50 +0800

dde-appearance (1.1.56) unstable; urgency=medium

  * chore(deb): unconflict with dde-kwin

 -- rewine <luhongxu@deepin.org>  Thu, 27 Mar 2025 17:52:40 +0800

dde-appearance (1.1.55) unstable; urgency=medium

  * feat: replace using KX11Extras to get the current workspace
  * fix: when QString is empty, call QString::front() will assert
  * feat(cursor): when name is not read, fallback to id

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Mar 2025 17:36:41 +0800

dde-appearance (1.1.54) unstable; urgency=medium

  * fix: no cursor theme given to kwin

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 20 Mar 2025 17:57:16 +0800

dde-appearance (1.1.53) unstable; urgency=medium

  * fix: no serif font config was generated when setting font

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 13 Mar 2025 13:33:56 +0800

dde-appearance (1.1.52) unstable; urgency=medium

  * fix: DBus local mutual call failed
  * fix: The prompt information is not internationalized(Bug: 307525)

 -- Lv Peilong <lvpeilong@uniontech.com>  Wed, 12 Mar 2025 11:05:38 +0800

dde-appearance (1.1.51) unstable; urgency=medium

  * fix: Some source files did not participate in compilation

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 07 Mar 2025 16:59:52 +0800

dde-appearance (1.1.50) unstable; urgency=medium

  * chore: adapt to qt6

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 07 Mar 2025 14:57:51 +0800

dde-appearance (1.1.49) unstable; urgency=medium

  * feat: refresh the font list when calling the list method
  * feat: Add override font to support language functionality

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Feb 2025 21:56:09 +0800

dde-appearance (1.1.48) unstable; urgency=medium

  * feat: remove wallpaper slideshow
  * feat: adapt wallpaper lock
  * fix: invalid custom theme setting

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 21 Feb 2025 16:03:41 +0800

dde-appearance (1.1.47) unstable; urgency=medium

  * feat: Adapt wallpaper settings for treeland environment

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 14 Feb 2025 10:52:31 +0800

dde-appearance (1.1.46) unstable; urgency=medium

  * feat: 去掉热区的gsetting调用 (#177)
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Jan 2025 17:41:24 +0800

dde-appearance (1.1.45) unstable; urgency=medium

  * chore: change the default appearance to light

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 09 Jan 2025 19:27:21 +0800

dde-appearance (1.1.44) unstable; urgency=medium

  * feat: 去掉gnome的gsetting的调用
  * feat: 将xsetting的通过gsetting读取配置改成dconfig读取

 -- fuleyi <fuleyi@uniontech.com>  Thu, 02 Jan 2025 10:55:59 +0800

dde-appearance (1.1.43) unstable; urgency=medium

  * Revert "fix: Quickly adjusting transparency may cause it to get stuck"
  * chore: update custom theme and themethumb
  * fix: translation not effective

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 24 Dec 2024 19:47:18 +0800

dde-appearance (1.1.42) unstable; urgency=medium

  * chore: update default global theme
  * fix: active color are invalid in different global theme
  * fix: 修复系统安装完成后无法进入桌面。输入密码后一直处于加载状态

 -- fuleyi <fuleyi@uniontech.com>  Fri, 13 Dec 2024 15:22:11 +0800

dde-appearance (1.1.41) unstable; urgency=medium

  * fix: solve the problem of slow entry to the desktop

 -- Chengqi E <echengqi@uniontech.com>  Mon, 09 Dec 2024 13:30:49 +0800

dde-appearance (1.1.40) unstable; urgency=medium

  * fix: the wallpaper list may not exist

 -- zhangKun <zhangkun2@uniontech.com>  Fri, 06 Dec 2024 17:30:49 +0800

dde-appearance (1.1.39) unstable; urgency=medium

  * fix: 代码优化调整
  * fix: the theme thumbnail is empty
  * fix: teeland下不启动dde-fakewm 

 -- fuleyi <fuleyi@uniontech.com>  Fri, 29 Nov 2024 14:03:03 +0800
