## dde-appearance 1.1.65

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

add_subdirectory(dconfig)
add_subdirectory(dbusservice)
add_subdirectory(data)
add_subdirectory(translations)
add_subdirectory(systemd)
