=== debian/changelog ===
dde-appearance (1.1.65) unstable; urgency=medium

  * chore: remove es_MX translation

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 17:17:04 +0800

dde-appearance (1.1.64) unstable; urgency=medium

  * refactor: improve wallpaper handling logic
  * refactor: optimize code and suppress warnings

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 21:45:36 +0800

dde-appearance (1.1.63) unstable; urgency=medium

  * fix: correct SLOT syntax to avoid QObject::connect warning

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 10:29:09 +0800

dde-appearance (1.1.62) unstable; urgency=medium

  * refactor: improve memory management and code quality

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 14:46:17 +0800
