=== debian/changelog ===
dde-appearance (1.1.67) unstable; urgency=medium

  * refactor: remove QT theme setting functionality

 -- WuJiangYu <wujiangyu@uniontech.com>  Wed, 16 Jul 2025 10:47:50 +0800

dde-appearance (1.1.66) unstable; urgency=medium

  * fix: add hardening flags and compiler warnings

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:19 +0800
