## dde-appearance 1.1.68

=== debian/changelog ===
dde-appearance (1.1.68) unstable; urgency=medium

  * feat: add custom lock screen wallpaper flag

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 01 Aug 2025 10:45:58 +0800
