## dde-appearance 1.1.70

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

include(FindPkgConfig)
find_package(PkgConfig REQUIRED)

add_subdirectory("service")
