=== misc/data/CMakeLists.txt ===
set(DATA_FILES
    custom.png
)

install(FILES ${DATA_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-appearance/)
