=== src/service/CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,13 @@
 set(CMAKE_AUTORCC ON)
 
 add_compile_options(-DQT_NO_KEYWORDS)
+set(PROJECT_NAME dde-appearance)
 
-find_package(Qt5 REQUIRED COMPONENTS Core DBus Concurrent Gui)
-find_package(DtkCore REQUIRED)
-find_package(DtkGui REQUIRED)
 find_package(PkgConfig REQUIRED)
-find_package(KF5Config REQUIRED)
-find_package(KF5WindowSystem REQUIRED)
-find_package(KF5GlobalAccel REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Concurrent Gui)
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED Core Gui)
+find_package(KF6WindowSystem REQUIRED)
 
-pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
 pkg_check_modules(Gio-2.0 REQUIRED IMPORTED_TARGET gio-2.0)
 pkg_check_modules(X11 REQUIRED IMPORTED_TARGET xcursor xfixes x11)
 pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0 gdk-3.0)
@@ -26,14 +23,10 @@
 
 add_definitions(-DUSE_QT)
 
-qt5_add_dbus_adaptor(ADAPTER_SOURCES
-                     ../../dbus/org.deepin.dde.Appearance1.xml
-                     ./dbus/appearance1.h
-                     Appearance1)
-
+qt_add_dbus_adaptor(ADAPTER_SOURCES ../../dbus/org.deepin.dde.Appearance1.xml ./dbus/appearance1.h Appearance1)
 
 set(SRCS
-    ./main.cpp
+    ./plugin.cpp
     ./dbus/scaleFactors.h
     ./dbus/scaleFactors.cpp
     ./dbus/appearancedbusproxy.h
@@ -50,8 +43,6 @@
     ./impl/fsnotify.cpp
     ./impl/appearancesyncconfig.h
     ./impl/appearancesyncconfig.cpp
-    ./impl/wallpaperscheduler.h
-    ./impl/wallpaperscheduler.cpp
     ./modules/background/background.h
     ./modules/background/background.cpp
     ./modules/fonts/fontsmanager.h
@@ -94,24 +85,26 @@
     ${ADAPTER_SOURCES}
 )
 
-add_executable(dde-appearance
+add_library(${PLUGIN_NAME} MODULE
+    ${ADAPTER_SOURCES}
     ${SRCS}
 )
 
-target_link_libraries(dde-appearance
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Concurrent
-    Qt5::Gui
-    PkgConfig::QGSettings
+target_link_libraries(${PLUGIN_NAME} PRIVATE
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Concurrent
+    Qt${QT_VERSION_MAJOR}::Gui
+    Dtk${DTK_VERSION_MAJOR}::Core
+    Dtk${DTK_VERSION_MAJOR}::Gui
     PkgConfig::Gio-2.0
     PkgConfig::GTK3
     PkgConfig::X11
     PkgConfig::XCB
     PkgConfig::OPENSSL
     PkgConfig::FONTCONFIG
-    ${DtkCore_LIBRARIES}
-    ${DtkGui_LIBRARIES}
+    KF6::WindowSystem
 )
-
-install(TARGETS dde-appearance DESTINATION ${CMAKE_INSTALL_BINDIR})
+include(GNUInstallDirs)
+install(TARGETS ${PLUGIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-dde-appearance.json DESTINATION share/deepin-service-manager/user/)
