=== debian/control ===
Source: dde-appearance
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
   cmake,
   pkg-config,
   qt6-base-dev,
   qt6-tools-dev-tools,
   libdtk6core-dev,
   libdtk6gui-dev,
   libpolkit-qt6-1-dev,
   libgdk-pixbuf2.0-0,
   libglib2.0-dev,
   libxcursor-dev,
   libgtk-3-dev,
   libxcb1-dev,
   libxcb-cursor-dev,
   libxcb-randr0-dev,
   libxcb-render0-dev,
   libssl-dev,
   libkf6globalaccel-dev,
   libkf6windowsystem-dev,
   libkf6config-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-appearance
Architecture: any
Depends:
   dde-daemon (>= 6.1.26),
   ${misc:Depends},
   ${shlibs:Depends},
   deepin-service-manager,
Description: deepin desktop-environment - dde-appearance module
 dde appearance Provides application resource management and control services for the dde desktop environment.
